petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscSFBcastWithMemTypeBegin

begin pointwise broadcast with root value being reduced to leaf value with explicit memory types, to be concluded with call to PetscSFBcastEnd()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFBcastWithMemTypeBegin(PetscSF sf,MPI_Datatype unit,PetscMemType rootmtype,const void *rootdata,PetscMemType leafmtype,void *leafdata,MPI_Op op)

Collective on PetscSF

### Input Arguments

| sf | - star forest on which to communicate
| unit | - data type associated with each node
| rootmtype | - memory type of rootdata
| rootdata | - buffer to broadcast
| leafmtype | - memory type of leafdata
| op | - operation to use for reduction

### Output Arguments

| leafdata | - buffer to be reduced with values from each leaf's respective root

### See Also

PetscSFBcastEnd(), PetscSFBcastBegin()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages